This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 554234 - Review Request: ibus-table-yinma - The phonetic tables for IBus-Table
Review Request: ibus-table-yinma - The phonetic tables for IBus-Table
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-10 21:13 EST by caius.chance
Modified: 2010-03-22 22:07 EDT (History)
7 users (show)

See Also:
Fixed In Version: ibus-table-yinma-1.2.0.20100305-6.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-22 22:07:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
dchen: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description caius.chance 2010-01-10 21:13:04 EST
Spec URL: http://kaio.fedorapeople.org/pkgs/ibus-table-yinma.spec
SRPM URL: http://kaio.fedorapeople.org/pkgs/ibus-table-yinma-1.2.0.20100111-1.fc12.src.rpm
Description: The phonetic tables for IBus-Table
Comment 1 Ding-Yi Chen 2010-01-10 23:44:47 EST
It cannot build due to one of the build dependency does not meet:

ibus-table >= 1.2.0.20100111

Do you remember to push it?
Comment 2 Ding-Yi Chen 2010-01-10 23:51:55 EST
Three more comments:

1. Do ZhuYin and Zhuyin Big work yet? :-P
2. Some typo in description:
   The phonetic tables for IBus Table*m*,
3. It will be great to include Chinese translation in Summary and Description, 
   namely,

Summary(zh_CN):
Summary(zh_HK):
Summary(zh_TW):

%description -l zh_CN
%description -l zh_HK
%description -l zh_TW

Thanks for your effort.
Comment 3 caius.chance 2010-01-11 00:28:23 EST
(In reply to comment #1)
> It cannot build due to one of the build dependency does not meet:
> 
> ibus-table >= 1.2.0.20100111
> 
> Do you remember to push it?    

built on koji http://koji.fedoraproject.org/koji/buildinfo?buildID=150283
Comment 4 caius.chance 2010-01-11 00:53:42 EST
(In reply to comment #2)
> Three more comments:
> 
> 1. Do ZhuYin and Zhuyin Big work yet? :-P
no

> 2. Some typo in description:
>    The phonetic tables for IBus Table*m*,
done

> 3. It will be great to include Chinese translation in Summary and Description, 
>    namely,
done
Comment 5 Ding-Yi Chen 2010-01-11 02:34:48 EST
I do suggest that its better not include Zhuyin* at the moment, unless you are willing to address the bugs. :-P

Also, it is better to avoid Conflicts. See: 
http://fedoraproject.org/wiki/Packaging:Conflicts#Acceptable_Uses_of_Conflicts
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Renaming.2Freplacing_existing_packages

Also, rpmlint produces:
./SRPMS/ibus-table-yinma-1.2.0.20100111-1.fc12.src.rpm
ibus-table-yinma.src: E: description-line-too-long The phonetic tables for IBus Tablem, namely ErBi, ErBi QS, Wu, Yong, ZhuYin, ZhuYin Big, ZiRanMa.
1 packages and 0 specfiles checked; 1 errors, 0 warnings.
./RPMS/noarch/ibus-table-yinma-1.2.0.20100111-1.fc12.noarch.rpm
ibus-table-yinma.noarch: E: description-line-too-long The phonetic tables for IBus Tablem, namely ErBi, ErBi QS, Wu, Yong, ZhuYin, ZhuYin Big, ZiRanMa.
ibus-table-yinma.noarch: W: obsolete-not-provided ibus-table-yong
ibus-table-yinma.noarch: W: obsolete-not-provided ibus-table-erbi
1 packages and 0 specfiles checked; 1 errors, 2 warnings.
Comment 6 Ding-Yi Chen 2010-01-11 02:55:43 EST
Oops,
It turns out that this is your first package as k@kaio.me, which needs a sponsor.

I am not a sponsor yet, so I revert my review and wait someone who is capable of doing so.
Comment 7 Michael Schwendt 2010-01-11 06:51:28 EST
Uh? Do you refer to creating two Fedora accounts for the same person? "cchance" is sponsored for the packager group already, so use that account.
Comment 8 Caius Chance 2010-02-01 19:29:30 EST
I prefer to have 'cchance' renamed to 'kaio' but seems it was not possible, so I prefer to have 'kaio' sponsored for the packager group.
Comment 9 Michael Schwendt 2010-02-02 03:02:38 EST
Did the person, who told you it was not possible to rename an FAS account, suggest creating a second account and seeking for another/new sponsor? Is the plan to create "kaio" first and then delete "cchance" afterwards? If so, why can't that be done together with your existing sponsor "paragn"?
Comment 10 caius.chance 2010-02-03 00:27:01 EST
(In reply to comment #9)
> Did the person, who told you it was not possible to rename an FAS account,
> suggest creating a second account and seeking for another/new sponsor? Is the
> plan to create "kaio" first and then delete "cchance" afterwards? If so, why
> can't that be done together with your existing sponsor "paragn"?    

Thank you it is being done immediately right now. Apologize for inconvenience.
Comment 11 caius.chance 2010-02-03 00:38:14 EST
FE_NEEDSPONSOR is set by mistake, I am requesting my existing sponsor to move
over the packager group and delete "cchance" right now. Sorry for
inconvenience.
Comment 12 Parag AN(पराग) 2010-02-03 01:30:43 EST
Thanks for your reply. I have removed packager group approval for cchance and approved packager status for kaio. 

I see you have kaio linked with @RH email id, but I assume reporting/reported newer package reviews from non-RH bz login id will not be problem here. But while requesting cvs you have to use kaio as Owner.

Also, I will see if I get time, will review your packages.
Comment 13 Caius Chance 2010-02-23 00:25:04 EST
Spec URL: http://kaio.fedorapeople.org/pkgs/ibus-table-yinma.spec
SRPM URL:
http://kaio.fedorapeople.org/pkgs/ibus-table-yinma-1.2.0.20100111-2.fc12.src.rpm
Description: The phonetic tables for IBus-Table
Comment 14 Naveen Kumar 2010-02-25 02:11:08 EST
Here's an unofficial review, using the Tibbs checklist as reference from:
http://fedoraproject.org/wiki/User:Tibbs/Review_Template

- source files do not match upstream:  
sha256sum OUTPUT:
7b0a201dfbf9ea803c09f17a660aad37b0ae1b0dbe495b5385c4447df0d04d83  ibus-table-yinma-1.2.0.20100111.tar.gz (Upstream)
8794dd5b3cfbd4c31abcb993dbc918a2879e8de995db1fe2e0a8ac9652832439  ../ibus-table-yinma-1.2.0.20100111.tar.gz (Source)

+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible: license text included in package.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.

- package does not build in Koji for dist-f12 (despite being noarch): http://koji.fedoraproject.org/koji/taskinfo?taskID=2012743
+ package builds in Koji for dist-f13: http://koji.fedoraproject.org/koji/taskinfo?taskID=2012745

+ package installs properly.
* rpmlint output with warnings.(rpmlint version 0.94)

	rpmlint OUTPUT on ibus-table-yinma-1.2.0.20100111-2.fc12.src.rpm & ibus-table-yinma-1.2.0.20100111-2.fc14.src.rpm:
ibus-table-yinma.src: I: enchant-dictionary-not-found zh_CN
ibus-table-yinma.src: I: enchant-dictionary-not-found zh_HK
ibus-table-yinma.src: I: enchant-dictionary-not-found zh_TW
ibus-table-yinma.src: W: spelling-error %description -l en_US zh -> ssh, z, h
ibus-table-yinma.src: W: tag-in-description C Summary(zh_CN):
ibus-table-yinma.src: W: tag-in-description C Summary(zh_HK):
ibus-table-yinma.src: W: tag-in-description C Summary(zh_TW):
ibus-table-yinma.src: W: tag-in-description zh_CN Summary(zh_CN):
ibus-table-yinma.src: W: tag-in-description zh_CN Summary(zh_HK):
ibus-table-yinma.src: W: tag-in-description zh_CN Summary(zh_TW):
ibus-table-yinma.src: W: tag-in-description zh_HK Summary(zh_CN):
ibus-table-yinma.src: W: tag-in-description zh_HK Summary(zh_HK):
ibus-table-yinma.src: W: tag-in-description zh_HK Summary(zh_TW):
ibus-table-yinma.src: W: tag-in-description zh_TW Summary(zh_CN):
ibus-table-yinma.src: W: tag-in-description zh_TW Summary(zh_HK):
ibus-table-yinma.src: W: tag-in-description zh_TW Summary(zh_TW):
ibus-table-yinma.src:18: W: unversioned-explicit-provides ibus-table-yong
ibus-table-yinma.src:18: W: unversioned-explicit-provides ibus-table-erbi
1 packages and 0 specfiles checked; 0 errors, 15 warnings.

	rpmlint OUTPUT on ibus-table-yinma-1.2.0.20100111-2.fc14.noarch.rpm:
ibus-table-yinma.noarch: I: enchant-dictionary-not-found zh_CN
ibus-table-yinma.noarch: I: enchant-dictionary-not-found zh_HK
ibus-table-yinma.noarch: I: enchant-dictionary-not-found zh_TW
ibus-table-yinma.noarch: W: spelling-error %description -l en_US zh -> ssh, z, h
ibus-table-yinma.noarch: W: tag-in-description C Summary(zh_CN):
ibus-table-yinma.noarch: W: tag-in-description C Summary(zh_HK):
ibus-table-yinma.noarch: W: tag-in-description C Summary(zh_TW):
ibus-table-yinma.noarch: W: self-obsoletion ibus-table-erbi <= 1.2.0.20100111 obsoletes ibus-table-erbi
ibus-table-yinma.noarch: W: self-obsoletion ibus-table-yong <= 1.2.0.20100111 obsoletes ibus-table-yong
1 packages and 0 specfiles checked; 0 errors, 6 warnings.


* final provides and requires are sane:

	rpm -qp --provides OUTPUT on ibus-table-yinma-1.2.0.20100111-2.fc14.noarch.rpm:
ibus-table-erbi  
ibus-table-yong  
ibus-table-yinma = 1.2.0.20100111-2.fc14

	rpm -qp --requires OUTPUT on ibus-table-yinma-1.2.0.20100111-2.fc14.noarch.rpm :
/bin/sh  
ibus-table >= 1.2
ibus-table >= 1.2
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1
rpmlib(PayloadIsXz) <= 5.2-1


+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ scriptlets sane.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
Comment 15 Caius Chance 2010-03-05 02:51:07 EST
Spec URL: http://kaio.fedorapeople.org/pkgs/ibus-table-yinma.spec
SRPM URL:
http://kaio.fedorapeople.org/pkgs/ibus-table-yinma-1.2.0.20100305-3.fc12.src.rpm
Description: The phonetic tables for IBus-Table
Comment 16 Caius Chance 2010-03-09 22:38:42 EST
Spec URL: http://kaio.fedorapeople.org/pkgs/ibus-table-yinma.spec
SRPM URL:
http://kaio.fedorapeople.org/pkgs/ibus-table-yinma-1.2.0.20100305-5.fc12.src.rpm
Description: The phonetic tables for IBus-Table
Comment 17 Ding-Yi Chen 2010-03-10 01:34:33 EST
rpmlint output that you should fixed:
./SRPMS/ibus-table-yinma-1.2.0.20100305-5.fc12.src.rpm
ibus-table-yinma.src:15: W: unversioned-explicit-obsoletes ibus-table-yong
ibus-table-yinma.src:15: W: unversioned-explicit-obsoletes ibus-table-erbi

Use the similar fix that I use in ibus-table-xingma.
ibus-table-yinma.noarch: W: incoherent-version-in-changelog 1.2.0.20100111-5 ['1.2.0.20100305-5.fc12', '1.2.0.20100305-5']

Update the change log version to:
1.2.0.20100305-5

ibus-table-yinma.noarch: W: obsolete-not-provided ibus-table-yong
ibus-table-yinma.noarch: W: obsolete-not-provided ibus-table-erbi

Use the similar fix that I use in ibus-table-xingma.
Comment 18 Caius Chance 2010-03-10 01:56:11 EST
Spec URL: http://kaio.fedorapeople.org/pkgs/ibus-table-yinma.spec
SRPM URL:
http://kaio.fedorapeople.org/pkgs/ibus-table-yinma-1.2.0.20100305-6.fc12.src.rpm
Description: The phonetic tables for IBus-Table
Comment 19 Ding-Yi Chen 2010-03-11 23:08:28 EST
MUST:
+  rpmlint output is acceptable.
   Note: Since there is no zh-* spelling-checker, the spelling warning
   on these languages can be omitted.
+  Package meets naming and packaging guidelines.
+  Package meets licensing guidelines, and match the source license.
+  Source files match upstream.
+  specfile is properly named, is cleanly written
+  Spec file is written in American English.
+  Spec file is legible.
+  dist tag is present.
+  BuildRoot is proper.
+  BuildRequires are proper.
+  Requires are proper.
+  %install starts with rm -rf %{buildroot} (or $RPM_BUILD_ROOT)
+  %clean contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT)
+  %doc files present.
+  %doc files do not interfere runtime application.
+  Macros are consistently used.
+  Package builds in koji.
+  Package contains code or permissible content.
+  Package installed properly.
+  Not relocatable, unless proper justification is presented.
+  %files section must include a %defattr(...) line, and file permissions are correct.
+  No duplication in %files
+  File names are in valid UTF-8.
+  Own all directory it creates.
+  Files or directories are not owned by other packages.

SHOULD:
+  License text are in separate files.
+  Translations for supported non-English languages if available.
+  Package build in mock.
+  Package can build in all supported architectures.
+  Package runs properly.
+  Scriptlets are sane.
+  No direct files dependencies, unless they are in either /etc, /bin, /sbin, /usr/bin, or /usr/sbin

APPROVED
Comment 20 Caius Chance 2010-03-11 23:11:57 EST
New Package CVS Request
=======================
Package Name: ibus-table-yinma
Short Description: The phonetic tables for IBus-Table 
Owners: kaio
Branches: F-13
InitialCC: i18n-team
Comment 21 Tom "spot" Callaway 2010-03-15 17:38:48 EDT
CVS done (by process-cvs-requests.py).
Comment 22 Fedora Update System 2010-03-15 20:59:38 EDT
ibus-table-yinma-1.2.0.20100305-6.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/ibus-table-yinma-1.2.0.20100305-6.fc13
Comment 23 Fedora Update System 2010-03-16 19:19:14 EDT
ibus-table-yinma-1.2.0.20100305-6.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ibus-table-yinma'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ibus-table-yinma-1.2.0.20100305-6.fc13
Comment 24 Fedora Update System 2010-03-22 22:07:46 EDT
ibus-table-yinma-1.2.0.20100305-6.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.